### Method

# Gtk Video get_file

#### Declaration [src]

    GFile*
    gtk_video_get_file (
      GtkVideo* self
    )

#### Description [src]

Gets the file played by `self` or `NULL` if not playing back a file.

org.gtk.Method.get_propert | file
Gets property | `Gtk.Video:file`

#### Return value

Returns: | `GFile`
| The file played by `self`.
| The data is owned by the instance.
| The return value can be `NULL`.